历史版本2:PHP-X

PHP-X是一个基于PHP ZendVM的C++封装层,可以基于PHP-X开发PHP扩展、C++嵌入PHP、PHP SAPI等程序。PHP-X可以大大降低PHP内核扩展开发的难度,提升效率。

环境依赖

  • PHP-7.0或更高版本
  • gcc-4.8或更高版本,必须支持C++11标准
  • 仅支持 Linux/MacOS/Windows 3种平台
  • 仅支持 x86-64 架构